package cn.exploring.engine.server.core.config;

import cn.exploring.engine.server.core.notify.NotifyService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;

//定时任务
@Configuration
@EnableScheduling
public class NotifyScheduleTask {
    @Autowired
    private NotifyService notifyService;

    /**
     * 每5分钟统一一次组织总步数
     */
    @Scheduled(cron = "0 */30 * * * ?")
    private void countOrgAllStep() {
        System.out.println("NotifyScheduleTask test!");
    }

}
