package cn.exploring.engine.server.wx.web;

import cn.exploring.engine.server.core.util.ResponseUtil;
import cn.exploring.engine.server.db.service.InitTestService;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@RestController
@RequestMapping("/wx/initTest")
@Validated
public class WxInitTestController {
    @Resource
    private InitTestService initTestService;


    @GetMapping("selectInitTest")
    public Object selectInitTest(@RequestParam(required = false) Integer titleRank) {
        return ResponseUtil.ok(initTestService.selectInitTest(titleRank));
    }
}
